Update a video
curl --request PATCH \
--url https://api.creatoraudit.com/v2/videos/{video_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_active": false,
"scrape_interval_hours": 48
}
'import requests
url = "https://api.creatoraudit.com/v2/videos/{video_id}"
payload = {
"is_active": False,
"scrape_interval_hours": 48
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({is_active: false, scrape_interval_hours: 48})
};
fetch('https://api.creatoraudit.com/v2/videos/{video_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "instagram",
"external_id": "<string>",
"type": "video",
"shortcode": "<string>",
"is_active": true,
"scrape_interval_hours": 24,
"metadata": {},
"added_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"first_scrape_time": "2023-11-07T05:31:56Z",
"last_scrape_time": "2023-11-07T05:31:56Z",
"description": "<string>",
"create_time": "2023-11-07T05:31:56Z",
"media_type": "<string>",
"duration": 123,
"is_unavailable": true,
"cover_image_url": "<string>",
"cover_image_url_original": "<string>",
"video_url": "<string>",
"video_url_original": "<string>",
"view_count": 123,
"like_count": 123,
"comment_count": 123,
"share_count": 123,
"play_count": 123,
"saved_count": 123,
"total_views": 123,
"total_plays": 123,
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_username": "<string>",
"platform_account_id": "<string>",
"platform_data": {}
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}Videos
Update a video
Update an individually tracked post/video.
Partial update — only the fields you include change. Supports pausing/
resuming tracking (is_active), editing metadata, and changing the
scrape_interval_hours. Returns the updated video; 404 if it is not
tracked by your organization.
PATCH
/
videos
/
{video_id}
Update a video
curl --request PATCH \
--url https://api.creatoraudit.com/v2/videos/{video_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_active": false,
"scrape_interval_hours": 48
}
'import requests
url = "https://api.creatoraudit.com/v2/videos/{video_id}"
payload = {
"is_active": False,
"scrape_interval_hours": 48
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({is_active: false, scrape_interval_hours: 48})
};
fetch('https://api.creatoraudit.com/v2/videos/{video_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "instagram",
"external_id": "<string>",
"type": "video",
"shortcode": "<string>",
"is_active": true,
"scrape_interval_hours": 24,
"metadata": {},
"added_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"first_scrape_time": "2023-11-07T05:31:56Z",
"last_scrape_time": "2023-11-07T05:31:56Z",
"description": "<string>",
"create_time": "2023-11-07T05:31:56Z",
"media_type": "<string>",
"duration": 123,
"is_unavailable": true,
"cover_image_url": "<string>",
"cover_image_url_original": "<string>",
"video_url": "<string>",
"video_url_original": "<string>",
"view_count": 123,
"like_count": 123,
"comment_count": 123,
"share_count": 123,
"play_count": 123,
"saved_count": 123,
"total_views": 123,
"total_plays": 123,
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_username": "<string>",
"platform_account_id": "<string>",
"platform_data": {}
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Tracked video UUID.
Body
application/json
Response
Successful Response
A tracked post/video with its content fields and latest metrics.
Show child attributes
Show child attributes